package xml2fol.DataStructures;

import java.util.*;

/**
 * A class that can be used to Compare two FOLStructLongs
 * Needed in some sorting situations
 * @author Alan Woodley
 */
public class FOLStructLongComparator implements Comparator  {
    
    /** 
    * This function calls the compareTo function of the first FOLStruct object.
    * @param o1 - The first FOLStruct object
    * @param o1 - The second FOLStruct object
    * @return - The value of the first FOlStruct's compareTo function
    */    
    public int compare(Object o1, Object o2){
        FOLStructLong fxol1 = (FOLStructLong) o1;
        FOLStructLong fxol2 = (FOLStructLong) o2;
        int result = fxol1.compareTo(fxol2);
        return result;
    }
    
    /** 
    * The public interface to the class. Calls the compare function.
    * @param o1 - The first FOLStructLong object
    * @param o1 - The second FOLStructLong object
    * @return - The value of the compare function
    */
     public int compareTo(Object o1, Object o2){
        return compare(o1, o2);
    }

}
