package xml2fol.DataStructures;


import xml2fol.DataStructures.FileStruct;
import java.util.*;

/**
 * A class that can be used to Compare two FileStructs
 * Needed in some sorting situations
 * @author Alan Woodley
 */
public class FileStructComparator implements Comparator{

    /** 
    * This function calls the compareTo function of the first FileStruct object
    * @param o1 - The first FileStructs object
    * @param o1 - The second FileStruct object
    * @return - The value of the first FileStructs's compareTo function
    */
    public int compare(Object o1, Object o2){
        FileStruct fs1 = (FileStruct) o1;
        FileStruct fs2 = (FileStruct) o2;
        int result = fs1.compareTo(fs2);
        return result;
    }
    
    /** 
    * The public interface to the class. Calls the compare function.
    * @param o1 - The first FileStructs object
    * @param o1 - The second FileStructs object
    * @return - The value of the compare function
    */
    public int compareTo(Object o1, Object o2){
        return compare(o1, o2);
    }

}
