package xml2fol.DataStructures;

import java.util.*;

/**
 * A class that can be used to Compare two OLStructs
 * Needed in some sorting situations
 * @author Alan Woodley
 */
public class OLStructComparator implements Comparator  {
    
    /** 
    * This function calls the compareTo function of the first OLStruct object
    * @param o1 - The first OLStruct object
    * @param o1 - The second OLStruct object
    * @return - The value of the first OlStruct's compareTo function
    */
    public int compare(Object o1, Object o2){
        OLStruct ol1 = (OLStruct) o1;
        OLStruct ol2 = (OLStruct) o2;
        int result = ol1.compareTo(ol2);
        return result;
    }
    
    /** 
    * The public interface to the class. Calls the compare function.
    * @param o1 - The first OLStruct object
    * @param o1 - The second OLStruct object
    * @return - The value of the compare function
    */
     public int compareTo(Object o1, Object o2){
        return compare(o1, o2);
    }

}
