package xml2fol.DataStructures;

import java.util.*;

/**
 * A class that can be used to Compare two FOLStructs
 * Needed in some sorting situations
 * @author Alan Woodley
 */
public class FOLStructComparator implements Comparator  {
    
    /** 
    * This function calls the compareTo function of the first FOLStruct object.
    * @param o1 - The first FOLStruct object
    * @param o1 - The second FOLStruct object
    * @return - The value of the first FOlStruct's compareTo function
    */
    public int compare(Object o1, Object o2){
        FOLStruct fxol1 = (FOLStruct) o1;
        FOLStruct fxol2 = (FOLStruct) o2;
        int result = fxol1.compareTo(fxol2);
        return result;
    }

    /** 
    * The public interface to the class. Calls the compare function.
    * @param o1 - The first FOLStruct object
    * @param o1 - The second FOLStruct object
    * @return - The value of the compare function
    */    
     public int compareTo(Object o1, Object o2){
        return compare(o1, o2);
    }

}
